View Issue Details

IDProjectCategoryView StatusLast Update
0005320SOGoBackend Calendarpublic2021-06-07 15:09
Reportercnaumer Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.1.0 
Fixed in Version5.1.2 
Summary0005320: Accepting an invitation in Thunderbird/Iphone leads to missing "METHOD:REPLY" section in the ics file
Description

As the title says. When I accept an invitation in TB or on the Iphone (add invitation to calendar) the generated ics attached to email that the SOGo server sends out is missing "METHOD" section completely. In the email the "Content-Type:" is set to:

Content-Type: text/calendar; method=; charset="UTF-8"

instead of the expected:

Content-Type: text/calendar; method=REPLY; charset="UTF-8"

This lead to Lotus Notes not recognising the answer and ignoring it.

If I after the "accept" in the email go to the calendar and again "accept" there, the correct format is send. Also in the webinterface it works if I click "accept" in the email. We have a version 5.1 and version 2.4 Server and both show the same behaviour.

As it also happens with the Iphone I think it is a SOGo bug.

Steps To Reproduce

Receive an invite click on "Accept". Then look at the email that is sent.

Additional Information

Also same behaviour with the latest TB beta.

TagsNo tags attached.

Activities

cnaumer

cnaumer

2021-06-07 07:12

reporter   ~0015309

Could you also push this to the 2.4 branch. We haven't shifted all our clients to the v 5 yet.

francis

francis

2021-06-07 15:09

administrator   ~0015311

The fix is now in the v2 branch also.

Related Changesets

sogo: master e08be0d0

2021-06-03 16:13:22

francis

Details Diff
fix(calendar(dav)): add method attribute to content-type of iTIP reply

Fixes 0005320
Affected Issues
0005320
mod - SoObjects/Appointments/SOGoAppointmentObject.m Diff File

sogo: v2 3e96d68f

2021-06-03 16:13:22

francis

Details Diff
fix(calendar(dav)): add method attribute to content-type of iTIP reply

Fixes 0005320
Affected Issues
0005320
mod - SoObjects/Appointments/SOGoAppointmentObject.m Diff File

Issue History

Date Modified Username Field Change
2021-05-18 07:35 cnaumer New Issue
2021-06-03 16:18 francis Changeset attached => sogo master e08be0d0
2021-06-03 16:18 francis Assigned To => francis
2021-06-03 16:18 francis Resolution open => fixed
2021-06-03 16:19 francis Status new => resolved
2021-06-03 16:19 francis Fixed in Version => 5.1.2
2021-06-07 07:12 cnaumer Status resolved => feedback
2021-06-07 07:12 cnaumer Resolution fixed => reopened
2021-06-07 07:12 cnaumer Note Added: 0015309
2021-06-07 15:08 francis Changeset attached => sogo v2 3e96d68f
2021-06-07 15:08 francis Resolution reopened => fixed
2021-06-07 15:09 francis Status feedback => resolved
2021-06-07 15:09 francis Note Added: 0015311